package net.hoopajoo.cheeselab3;
// This is a simple player
class CheesePlayerData extends java.lang.Object implements java.io.Serializable {
	String	name;

	int	x,y,z,roomid;

	boolean online;
	
	int	mana_curr, mana_max,
		hit_curr, hit_max,
		move_curr, move_max;
	
	String preferences;
	String permissions;
	
	String[] future;
	
	public boolean has_permission( String p ) {
		if( permissions == null )
			return( false );
		
		return( permissions.indexOf( p ) != -1 );
	}
	
	public boolean can_save() {
		return( has_permission( "A" ) || has_permission( "s" ) );
	}
	
	public boolean can_modify_users() {
		return( has_permission( "A" ) || has_permission( "u" ) );
	}
	
	public boolean is_administrator() {
		return( has_permission( "A" ) );
	}
}
